package com.ejie.aa20b.ldap;

public class SecurityObject {

	private String[] _perfiles;
	private String _idioma;
	private String _puesto;
	private String _persona;
	private String _usuario;

	public SecurityObject(String puesto) {
		_puesto = puesto;
	}

	public void setPerfiles(String[] perfiles) {
		_perfiles = perfiles;
	}

	public void setIdioma(String idioma) {
		_idioma = idioma;
	}

	public String getIdioma() {
		return _idioma;
	}

	// Devuelve true si el perfil que se le pasa como parametro lo tiene el
	// objeto
	public String[] getPerfiles() {
		return _perfiles;
	}

	public void setPersona(String persona) {
		_persona = persona;
	}

	public String getPersona() {
		return _persona;
	}

	public void setUsuario(String usuario) {
		_usuario = usuario;
	}

	public String getUsuario() {
		return _usuario;
	}

	public String getPuesto() {
		return _puesto;
	}

	public boolean hasPermission(String perfil) {
		for (int i = 0; i < _perfiles.length; i++)
			if (_perfiles[i].equalsIgnoreCase(perfil))
				return true;
		return false;
	}
}